#### D.12.1.5 euler

Procedure from library `aksaka.lib` (see aksaka_lib).

Usage:
  euler(r);

Return:
  bigint phi(r), where phi is Eulers phi-function

Note:
  first r is factorized with proc PollardRho, then phi(r) is calculated with the help of phi(p) of every factor p;

Example:

    LIB "aksaka.lib";
    euler(99991);
    ==> 99990

User manual for Singular version 4.4.1, 2025, generated by texi2html.